import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var VoucherLine = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-voucherLine"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h16v16H0z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M13.333 2.667c.737 0 1.334.597 1.334 1.333v2.585a1.5 1.5 0 000 2.83V12c0 .736-.597 1.333-1.334 1.333H2.667A1.333 1.333 0 011.333 12V9.5a1.5 1.5 0 100-3V4c0-.736.597-1.333 1.334-1.333h10.666zm.025 1H2.667a.333.333 0 00-.333.308v1.733l.029.013a2.5 2.5 0 011.47 2.227V8a2.5 2.5 0 01-1.47 2.279l-.03.013V12c0 .176.136.32.309.332l.025.001h10.666c.176 0 .32-.136.333-.308V10l-.011-.008a2.5 2.5 0 01-.988-1.935V8c0-.801.38-1.53.988-1.992L13.667 6V4a.333.333 0 00-.309-.332zm-3.691 5a.667.667 0 010 1.333H6.333a.667.667 0 010-1.333h3.334zm0-2.667a.667.667 0 010 1.333H6.333a.667.667 0 110-1.333h3.334z",
    fill: "currentColor"
  }))));
});
VoucherLine.displayName = "VoucherLine";
export default VoucherLine;